﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_CoursewiseDiscount

@{
    ViewBag.Title = "Create";
}

@using (Html.BeginForm()) {
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)


    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Create Branch wise discount</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Branch wise discount</li>
    </ul>


    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table width="560px">
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Branch</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("BranchId", (SelectList)ViewBag.val, "Select")
                                     
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Course</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("CourseId", (SelectList) ViewBag.val,"Select")
                                      
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Package Hrs</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @Html.DropDownList("PckHr", "Select Hours")

                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Package</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("PackgId", (SelectList)ViewBag.val, "Select")

                                    </td>
                                </tr>
                              
                               
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Discount Amount</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.EditorFor(model => model.DiscAmt)

                                    </td>
                                </tr>
                      
                            </table>

                        </form>
                    </div>
        
                </div>

            </div>


            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">
                        @Html.ActionLink("Back to List", "Index")
                    </a>
                    <a href="#" target="_blank"></a>
                </p>



            </footer>


        </div>
    </div>
}
@section scripts{
    <script>
        $("#PckHr").change(function () {
            GetPkg();
        })

        function GetPkg() {
            var course = $("#CourseId").val();
            var PckHr = $("#PckHr").val();
            $.getJSON("/CourseWiseDiscount/GetPackage", { id: course, Pkhr: PckHr },
     function (modelData) {
         var select = $("#PackgId");
         select.empty();
         select.append('<option value="">Select</option>');
         $.each(modelData, function (index, itemData) {
             select.append($('<option/>', {
                 value: itemData.Value,
                 text: itemData.Text,
             }));
         });
     });
        }
    </script>
    
    }

